'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Button = require('./Button');

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Created by timur on 3/13/17.
 */

var ButtonGroup = function ButtonGroup(_ref) {
  var children = _ref.children,
      size = _ref.size;
  return _react2.default.createElement(
    'div',
    { className: 'btn-group', role: 'group' },
    [].concat(children).map(function (child, i) {

      if (child.props.toolbar) {
        return _react2.default.createElement(
          'div',
          { className: 'btn-toolbar', role: 'toolbar' },
          child.props ? child.props.children : null
        );
      } else if (child.type === 'button') {
        return _react2.default.createElement(
          _Button2.default,
          {
            key: i,
            size: size
          },
          child.props.children
        );
      } else {
        return child;
      }
    })
  );
};

exports.default = ButtonGroup;